/*
 * Class LINKED_LIST_ITERATION_CURSOR [INTEGER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_819 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_819 [] = {0xFF01,237,818,206,0xFFFF};
static const EIF_TYPE_INDEX egt_2_819 [] = {0xFF01,818,206,0xFFFF};
static const EIF_TYPE_INDEX egt_3_819 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_819 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_819 [] = {0xFF01,818,206,0xFFFF};
static const EIF_TYPE_INDEX egt_6_819 [] = {0xFF01,818,206,0xFFFF};
static const EIF_TYPE_INDEX egt_7_819 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_819 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_819 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_819 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_819 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_819 [] = {818,206,0xFFFF};
static const EIF_TYPE_INDEX egt_13_819 [] = {0xFF01,818,206,0xFFFF};
static const EIF_TYPE_INDEX egt_14_819 [] = {0xFF01,818,206,0xFFFF};
static const EIF_TYPE_INDEX egt_15_819 [] = {0xFF01,818,206,0xFFFF};
static const EIF_TYPE_INDEX egt_16_819 [] = {0xFF01,818,206,0xFFFF};
static const EIF_TYPE_INDEX egt_17_819 [] = {0xFF01,818,206,0xFFFF};
static const EIF_TYPE_INDEX egt_18_819 [] = {0xFF01,814,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_819 [] = {0xFF01,148,0xFFFF};
static const EIF_TYPE_INDEX egt_20_819 [] = {0xFF01,280,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_819 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_819 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_819 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_24_819 [] = {816,0xFFF8,1,0xFFFF};


static const struct desc_info desc_819[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_819), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_819), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_819), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_819), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_819), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_819), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_819), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_819), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_819), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_819), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_819), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_819), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_819), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_819), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2989, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2991, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2992, 16},
	{EIF_NON_GENERIC(0x019D /*206*/), 2993, 20},
	{EIF_NON_GENERIC(0x019D /*206*/), 2994, 24},
	{EIF_NON_GENERIC(0x019D /*206*/), 2995, 28},
	{EIF_GENERIC(egt_14_819), 2997, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_819), 2998, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_819), 2974, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_819), 2975, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0191 /*200*/), 2976, 12},
	{EIF_NON_GENERIC(0x017F /*191*/), 2978, 8},
	{EIF_NON_GENERIC(0x017F /*191*/), 2979, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2980, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2981, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2982, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2983, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3363, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_819), 3365, 0},
	{EIF_GENERIC(egt_19_819), 2987, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_819), 2996, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_819), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_819), 3361, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3362, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3364, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_819), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_819), 3366, 4},
};
void Init819(void)
{
	IDSC(desc_819, 0, 818);
	IDSC(desc_819 + 1, 1, 818);
	IDSC(desc_819 + 32, 194, 818);
	IDSC(desc_819 + 52, 99, 818);
	IDSC(desc_819 + 54, 245, 818);
	IDSC(desc_819 + 58, 169, 818);
}


#ifdef __cplusplus
}
#endif
